For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Users
      • POSTCreate User
      • GETGet User
      • DELRemove User
      • PATCHUpdate User
      • POSTCreate API Key
Logo
Log inBook a demo
API ReferenceUsers

Get User

GET
https://app.polytomic.com/api/organizations/:org_id/users/:id
GET
/api/organizations/:org_id/users/:id
$curl https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": {
3 "email": "jane.doe@polytomic.com",
4 "id": "a3f1c9e2-7b4d-4f8a-9c2e-1d2b3f4a5c6d",
5 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
6 "role_ids": [
7 "d9f8e7c6-b5a4-4d3c-9b8a-7e6f5d4c3b2a"
8 ],
9 "role": "admin"
10 }
11}

Returns a single user in the specified organization.

🚧 Requires partner key

User endpoints are only accessible using partner keys.

Was this page helpful?
Previous

Remove User

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the user.
org_idstringRequiredformat: "uuid"
Unique identifier of the organization the user belongs to.

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error